Subject: Re: bug#16227: 24.3.50; info documentation: Command Index not clickable (no links)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Dec 2013 21:35:17 +0200

> Date: Mon, 23 Dec 2013 20:11:35 +0100
> From: Jarek Czekalski <[email-masked]>
> 
> Indeed, RET works. Seems like some threshold is exceeded. When I leave 
> about 1385 lines in the info file, it starts to underline the links. 
> When I create one more, it doesn't. However cheating with artificial 
> 1400 same links does not break it.

Heh, it's a feature:

    (defcustom Info-fontify-maximum-menu-size 100000
      "Maximum size of menu to fontify if `font-lock-mode' is non-nil.
    Set to nil to disable node fontification."
      :type 'integer
      :group 'info)

Enlarge it, and that node's menu is fontified.

I guess we need to enlarge the default value.